package jp.co.tri_tome.picnickusuri;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.Bundle;
import android.support.v4.app.ShareCompat;
import android.view.View;

import java.util.ArrayList;

import me.picnicapp.sdk.content.Content;
import me.picnicapp.sdk.content.ContentLoader;
import me.picnicapp.sdk.map.MapActivity;
import me.picnicapp.sdk.picnic.Picnic;

/**
 * アプリ起動時のTOP画面.
 */
public class TopActivity extends Activity implements View.OnClickListener {

    private Picnic picnic = null;

    // 画面生成時の処理
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_top);

        picnic = (Picnic) getApplication();
    }

    @Override
    protected void onResume() {
        super.onResume();
        System.gc();

        TinyPref.remove(this, "jsonResId");
    }

    // ボタンが押された時の処理
    @Override
    public void onClick(View v) {
        if (v.getId() == R.id.top_btn_23) {
            showDialog23Ku();

        } else if (v.getId() == R.id.top_btn_shityoson) {
            showDialogShityoson();

        } else if (v.getId() == R.id.top_btn_share) {
            // シャアする
            share();

        }
    }

    // 23区の選択ダイアログを表示する
    private void showDialog23Ku() {
        AlertDialog.Builder builder = new AlertDialog.Builder(this);
        builder.setItems(R.array.names23Ku, new DialogInterface.OnClickListener() {
            @Override
            public void onClick(DialogInterface dialog, int which) {
                AreaSelector areaSelector = new AreaSelector(TopActivity.this);
                areaSelector.moveMap23Ku(which);
            }
        });
        builder.show();
    }

    // 市町村の選択ダイアログを表示する
    private void showDialogShityoson() {
        AlertDialog.Builder builder = new AlertDialog.Builder(this);
        builder.setItems(R.array.namesShityoson, new DialogInterface.OnClickListener() {
            @Override
            public void onClick(DialogInterface dialog, int which) {
                AreaSelector areaSelector = new AreaSelector(TopActivity.this);
                areaSelector.moveMapShityoson(which);
            }
        });
        builder.show();
    }

    private void share() {
        // シャアする
        ShareCompat.IntentBuilder builder = ShareCompat.IntentBuilder.from(this);
        builder.setChooserTitle(R.string.share_chooser_title);
        builder.setSubject(getString(R.string.app_name));
        builder.setText(getString(R.string.share_text));
        builder.setType("text/plain");
        builder.startChooser();
    }
}
